Bug 149212 - local variable used before set
local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 05:49 EST by David Binderman
Modified: 2013-07-02 19:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: 149212
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-10 08:54:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-21 05:49:00 EST
Description of problem:

I just tried to compile package tetex-3.0-1 from 
Redhat Fedora development tree.

The compiler said

1.

ttf2afm.c(325): remark #592: variable "v" is used before its value is set

The source code is

    u = xtalloc(1, unicode_entry), *v;

I've checked the source code, and I agree with the compiler. Suggest
code re-work.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jindrich Novy 2005-05-10 08:54:16 EDT
This is now fixed.

Note You need to log in before you can comment on or make changes to this bug.